@online{imgbb,
  url          = {https://api.imgbb.com/},
  name         = {ImgBB | API},
  urldate      = {2020-11-11},
  language     = {Inglês},
  organization = {ImgBB}
}

@online{webapi.net,
  title        = {.NET Core 3.1 Web API \& Entity Framework Jumpstart - Part 1},
  url          = {https://dev.to/_patrickgod/net-core-3-1-web-api-entity-framework-jumpstart-part-1-4jla},
  language     = {Inglês},
  author       = {Patrick God},
  year         = {2020},
  month        = {01},
  organization = {Dev.to},
  urldate      = {2020-11-07}
}

@online{dotnetMicrosoft,
  title        = {.NET Documentation},
  url          = {https://docs.microsoft.com/en-us/dotnet/fundamentals/},
  organization = {Microsoft},
  language     = {Inglês},
  urldate      = {2020-12-04}
}

@article{dotnetProf,
  title     = {.NET Framework},
  subtitle  = {Notes for Professionals},
  publisher = {GoalKicker.com},
  url       = {https://books.goalkicker.com/DotNETFrameworkBook/},
  language  = {Inglês},
  urldate   = {2020-12-10}
}

@online{sitePointTSTips,
  title        = {10 Essential TypeScript Tips and Tricks for Angular Devs},
  author       = {Florian Rappl},
  urldate      = {2020-12-25},
  month        = {05},
  year         = {2018},
  organization = {SitePoint},
  language     = {Inglês},
  url          = {https://www.sitepoint.com/10-essential-typescript-tips-tricks-angular/}
}

@online{10MariaDB,
  title    = {10 reasons to migrate to MariaDB (if still using MySQL)},
  url      = {https://linuxnatives.net/2015/10-reasons-to-migrate-to-mariadb-if-still-using-mysql},
  author   = {Otto Kekäläinen},
  year     = {2015},
  language = {Inglês},
  urldate  = {2020-11-02}
}

@online{tipsfordevs,
  title    = {10 Useful UI Designing Tips for Developers},
  url      = {https://codecondo.com/10-useful-ui-designing-tips-for-developers/},
  month    = {08},
  year     = {2015},
  urldate  = {2020-10-25},
  language = {Inglês}
}

@online{gitlabTipsTricks20,
  title        = {15 Git tips to improve your workflow},
  url          = {https://about.gitlab.com/blog/2020/04/07/15-git-tips-improve-workflow/},
  language     = {Inglês},
  month        = {04},
  year         = {2020},
  organization = {GitLab},
  author       = {Suri Patel},
  urldate      = {2020-11-04}
}

@online{gitlabIssues,
  title        = {4 ways to use GitLab Issue Boards},
  url          = {https://about.gitlab.com/blog/2018/08/02/4-ways-to-use-gitlab-issue-boards/},
  language     = {Inglês},
  month        = {08},
  year         = {2018},
  organization = {GitLab},
  author       = {Victor Wu},
  urldate      = {2020-11-04}
}

@online{uipratices,
  title    = {5 great UI design practices},
  url      = {https://www.instagram.com/p/CGkIfZsAgx2},
  author   = {@uiuxdailytips},
  urldate  = {2020-10-25},
  language = {Inglês}
}

@online{tipsImproveUIs,
  title        = {7 (more) tips to quickly improve your UIs},
  subtitle     = {More small and easy to put into practice tips to improve your designs.},
  url          = {https://uxdesign.cc/7-more-tips-to-quickly-improve-your-uis-1c2e8f446777},
  language     = {Inglês},
  month        = {10},
  year         = {2020},
  organization = {UX Collective},
  author       = {Marc Andrew},
  urldate      = {2020-10-31}
}

@online{uiMistakes,
  title    = {7 Mistakes UI/UX designers commonly make},
  url      = {https://www.instagram.com/p/CG-Y8eXgPcm/},
  author   = {@teoalmonte},
  urldate  = {2020-10-23},
  language = {Inglês}
}

@online{xdResources,
  title        = {Adobe XD - Recursos},
  url          = {https://www.adobe.com/pt/products/xd/resources.html/},
  urldate      = {2020-10-20},
  organization = {Adobe},
  language     = {Português}
}

@online{angularStyle,
  title    = {An Opinionated Coding Styleguide for Angular},
  author   = {Giancarlo Buomprisco},
  month    = {03},
  year     = {2020},
  url      = {https://dev.to/angular/an-opinionated-coding-styleguide-for-angular-k60},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{angLazyCodeMaze,
  title    = {Angular – Lazy Loading},
  author   = {Marinko Spasojevic},
  month    = {08},
  year     = {2020},
  url      = {https://code-maze.com/net-core-web-development-part10/},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{angChildrenData,
  url      = {https://medium.com/@liutingchun_95744/angular-using-component-level-scoped-service-to-communicate-between-parent-and-children-a2345c3d38ff},
  title    = {Angular — Using component-level scoped service to communicate between parent and children},
  urldate  = {2020-12-28},
  month    = {02},
  year     = {2020},
  author   = {Liu Ting Chu},
  language = {Inglês}
}

@online{huskyPrettierAngular,
  title    = {Angular + Prettier + Husky},
  url      = {https://www.daptontechnologies.com/angular-prettier-husky/},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{eleRefEx,
  url      = {https://www.techiediaries.com/angular-elementref/},
  title    = {Angular 10/9 ElementRef/ViewChild/Renderer2 By Example},
  urldate  = {2020-12-29},
  language = {Inglês}
}

@online{serviceCommunincation,
  url      = {https://jasonwatmore.com/post/2019/02/07/angular-7-communicating-between-components-with-observable-subject},
  month    = {02},
  year     = {2019},
  title    = {Angular 7 - Communicating Between Components with Observable \& Subject},
  urldate  = {2020-12-20},
  author   = {Jason Watmore},
  language = {Inglês}
}

@online{angularAuthJason,
  title    = {Angular 8 - JWT Authentication Example \& Tutorial},
  month    = {07},
  year     = {2019},
  url      = {https://jasonwatmore.com/post/2019/06/22/angular-8-jwt-authentication-example-tutorial},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{angularLazyDevTo,
  title    = {Angular 9: Lazy Loading Components},
  author   = {John Papa},
  month    = {02},
  year     = {2020},
  url      = {https://dev.to/angular/angular-9-lazy-loading-components-o04},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{angularBPratices,
  title        = {Angular Architecture Patterns and Best Practices (that help to scale)},
  url          = {https://dev.to/angular/angular-architecture-patterns-and-best-practices-that-help-to-scale-507m},
  language     = {Inglês},
  author       = {Bartosz Pietrucha},
  year         = {2019},
  month        = {7},
  organization = {Dev.to},
  urldate      = {2020-11-06}
}

@online{angularCheatSheet,
  title        = {Angular Cheat Sheet},
  url          = {https://dev.to/suniljoshi19/angular-cheat-sheet-46bo},
  language     = {Inglês},
  author       = {Sunil Joshi},
  year         = {2020},
  month        = {10},
  organization = {Dev.to},
  urldate      = {2020-11-06}
}

@book{angPatternsEbook,
  title     = {Angular Design Patterns},
  subtitle  = {Implement the Gang of Fout patterns in your apps with Angular},
  author    = {Mathieu Nayrolles},
  publisher = {Packt},
  year      = {2018},
  isbn      = {9178-1-78646-172-8},
  language  = {Inglês}
}

@online{angBP,
  url          = {https://code-maze.com/angular-best-practices/},
  title        = {Angular Development Best Practices},
  author       = {Marinko Spasojevic},
  organization = {CodeMaze},
  language     = {Inglês},
  urldate      = {2020-12-10}
}

@online{angularDocs,
  title        = {Angular Documentation},
  organization = {Angular},
  url          = {https://angular.io/docs/},
  language     = {Inglês},
  urldate      = {2020-11-30}
}

@online{angularMFile,
  title    = {Angular File Structure and Best Practices (that help to scale)},
  url      = {https://medium.com/@shijin_nath/angular-right-file-structure-and-best-practices-that-help-to-scale-2020-52ce8d967df5},
  author   = {Shijin Nath},
  language = {Inglês},
  month    = {04},
  year     = {2020},
  urldate  = {2020-12-09}
}

@online{angFolder,
  url          = {https://www.tektutorialshub.com/angular/angular-folder-structure-best-practices/},
  title        = {Angular Folder Structure Best Practices},
  language     = {Inglês},
  urldate      = {2020-12-10},
  organization = {tekTutorialsHub}
}

@online{oceanAngularHttpC,
  title        = {Angular HttpClient: Interceptors},
  author       = {Alligator.io},
  urldate      = {2020-12-25},
  month        = {07},
  year         = {2017},
  organization = {Digital Ocean},
  language     = {Inglês},
  url          = {https://www.digitalocean.com/community/tutorials/angular-introduction-unit-testing}
}

@online{angularJWTRefreshTokens,
  title    = {Angular JWT Authorization with Refresh Token and Http Interceptor},
  author   = {Bartosz Pietrucha},
  month    = {05},
  year     = {2019},
  url      = {https://angular-academy.com/angular-jwt/},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{angularLoading,
  title    = {Angular Loading on HTTP requests},
  author   = {David Rosey},
  month    = {11},
  year     = {2019},
  url      = {https://medium.com/show-loader-during-http-request-handeling/angular-display-loader-on-every-http-request-handeling-concurrency-with-rxjs-6b2515abe52a},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{angMaterial,
  url      = {https://material.angular.io/},
  title    = {Angular Material},
  language = {Inglês},
  urldate  = {2020-11-03}
}

@online{oceanNavigate,
  title        = {Angular Router: Navigation Using RouterLink, Navigate or NavigateByUrl},
  author       = {Alligator.io},
  urldate      = {2020-12-27},
  month        = {04},
  year         = {2017},
  organization = {Digital Ocean},
  language     = {Inglês},
  url          = {https://www.digitalocean.com/community/tutorials/angular-navigation-routerlink-navigate-navigatebyurl}
}

@online{angularLoadingInterceptor,
  title    = {Angular: Loading spinner using Http Interceptor},
  author   = {Keith Strickland},
  month    = {06},
  year     = {2020},
  url      = {https://medium.com/swlh/angular-loading-spinner-using-http-interceptor-63c1bb76517b},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{csharpJwt,
  title    = {ASP.NET Core Web API - Creating And Validating JWT (JSON Web Token)},
  url      = {https://www.c-sharpcorner.com/article/asp-net-core-web-api-creating-and-validating-jwt-json-web-token/},
  author   = {Bilal Shahzad},
  language = {Inglês},
  urldate  = {2020-10-15},
  month    = {03},
  year     = {2020}
}

@online{angularAuth,
  title    = {Authentication in Angular \& JWT},
  author   = {Marinko Spasojevic},
  month    = {06},
  year     = {2017},
  url      = {https://medium.com/\@amcdnl/authentication-in-angular-jwt-c1067495c5e0},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{awesomeAngular,
  title    = {Awesome AngularJS},
  subtitle = {A list of awesome AngularJS services, directives, filters, utilities and resources.},
  url      = {https://github.com/gianarb/awesome-angularjs#directive},
  language = {Inglês},
  year     = {2017},
  author   = {gianarb},
  urldate  = {2020-11-06}
}

@online{backControllers,
  title        = {Backend Controllers},
  url          = {http://cleverstack.io/documentation/backend/controllers/},
  organization = {Cleverstack},
  language     = {Inglês},
  urldate      = {2020-11-16}
}

@online{bcryptGithub,
  url      = {https://github.com/BcryptNet/bcrypt.net},
  title    = {BCrypt .NET},
  language = {Inglês},
  urldate  = {2020-11-03}
}

@online{loginExamples,
  title        = {Beautiful Examples of Login Forms for Websites and Apps},
  url          = {https://designmodo.com/login-forms-websites-apps/},
  language     = {Inglês},
  organization = {DesignModo},
  year         = {2020},
  month        = {5},
  author       = {Nataly Birch},
  urldate      = {2020-11-09}
}

@article{beginnerUI,
  author       = {Máirín Duffy},
  title        = {Beginner's Guide to UI Desing},
  organization = {Red HAt, Inc.},
  url          = {https://duffy.fedorapeople.org/presentations/guadec-ui-tutorial.pdf},
  urldate      = {2020-10-30},
  language     = {Inglês}
}

@online{cleanAngular,
  title        = {Best practices for a clean and performant Angular application},
  url          = {https://www.freecodecamp.org/news/best-practices-for-a-clean-and-performant-angular-application-288e7b39eb6f/},
  language     = {Inglês},
  year         = {2018},
  month        = {11},
  organization = {freeCodeCamp},
  urldate      = {2020-11-06}
}

@online{matLogin,
  title    = {Build a beautiful App + Login with Angular Material},
  author   = {Holger Schmitz},
  month    = {01},
  year     = {2020},
  url      = {https://developer.okta.com/blog/2020/01/21/angular-material-login},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{angularASPCrud,
  title    = {Build a CRUD App with ASP.NET Core and Angular},
  author   = {Team Okta},
  month    = {04},
  year     = {2018},
  url      = {https://developer.okta.com/blog/2018/04/26/build-crud-app-aspnetcore-angular},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{angularASP,
  title    = {Build an Angular 8 App with REST API and ASP.NET Core 2.2 - part 2},
  author   = {Martin Soderlund Ek},
  month    = {09},
  year     = {2019},
  url      = {https://dev.to/dileno/build-an-angular-8-app-with-rest-api-and-asp-net-core-2-2-part-2-46ap},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{angularEnterpriseStructure,
  title    = {Building an enterprise-grade Angular project structure},
  author   = {Giancarlo Buomprisco},
  month    = {09},
  year     = {2019},
  url      = {https://dev.to/gc_psk/building-an-enterprise-grade-angular-project-structure-3ihk},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@article{inovexCICD,
  title        = {CI/CD Pipeline mit Gitlab CI und Kubernetes},
  organization = {Inovex},
  url          = {https://www.inovex.de/fileadmin/files/Vortraege/2017/ci-cd-pipeline-mit-gitlab-ci-und-kubernetes-scheuermann-06-2017.pdf},
  language     = {Inglês},
  author       = {Johannes M. Scheuermann},
  urldate      = {2020-11-10}
}

@online{gitlabcicd,
  title        = {CI/CD pipelines},
  url          = {https://docs.gitlab.com/ee/ci/pipelines/},
  language     = {Inglês},
  organization = {GitLab},
  urldate      = {2020-11-05}
}

@book{cleanCodeBook,
  title     = {Clean Code},
  subtitle  = {A Handbook of Agile Software Craftsmanship},
  author    = {Robert C. Martin},
  publisher = {Prentice Hall},
  year      = {2019},
  isbn      = {978-0-13-235088-4},
  language  = {Inglês}
}

@online{instaColors,
  title    = {COLOR PSYCHOLOGY},
  url      = {https://www.instagram.com/p/B5vOIl2gp8r/},
  author   = {\@morejanda},
  urldate  = {2020-10-19},
  language = {Inglês}
}

@article{gitlabCIPDf,
  title    = {Continuous Integration with GitLab},
  url      = {https://www.nersc.gov/assets/Uploads/2017-02-06-Gitlab-CI.pdf},
  language = {Inglês},
  year     = {2017},
  month    = {02},
  author   = {Tony Wildish},
  urldate  = {2020-11-08}
}

@online{convCommits,
  title    = {Conventional Commits},
  url      = {https://www.conventionalcommits.org/en/v1.0.0/#specification},
  language = {Inglês},
  subtitle = {A specification for adding human and machine readable meaning to commit messages},
  urldate  = {2020-11-04}
}

@online{pawProject,
  title    = {Covid Tracking System},
  url      = {https://github.com/TutoDS/covid-tracking-system},
  urldate  = {2020-11-21},
  language = {Português}
}

@online{uiHierarchy,
  title    = {Create visual hierarchy in UI design},
  url      = {https://www.instagram.com/p/CGz73IgF0bh/},
  urldate  = {2020-10-20},
  author   = {@leeohgonzalez},
  language = {Inglês}
}

@online{mysqlEFCore,
  url          = {https://dev.mysql.com/doc/connector-net/en/connector-net-entityframework-core-example.html},
  title        = {Creating a Database with Code First in EF Core},
  organization = {MySQL},
  language     = {Inglês},
  urldate      = {2020-11-10}
}

@online{oceanAngularPipes,
  title        = {Creating Custom Pipes in Angular},
  author       = {Alligator.io},
  urldate      = {2020-12-26},
  month        = {10},
  year         = {2016},
  organization = {Digital Ocean},
  language     = {Inglês},
  url          = {https://www.digitalocean.com/community/tutorials/angular-custom-pipes-angular}
}

@book{boostrapBook,
  title     = {Criação Rápida de Sites Responsivos com o Bootstrap},
  publisher = {FCA},
  author    = {Ricardo Queirós},
  language  = {Português}
}

@book{cssPocket,
  author    = {Eric A. Meyer},
  publisher = { O'Reilly},
  title     = {CSS | Pocket Reference},
  subtitle  = {Visual Presentation for the Web},
  edition   = {3},
  isbn      = {978-0-596-51505-8},
  year      = {2007},
  month     = {10},
  language  = {Inglês}
}

@online{cssprecompiler,
  title    = {CSS Precompilers: Which One is Better?},
  month    = {04},
  year     = {2017},
  url      = {https://medium.com/@raaechelb/css-precompilers-which-one-is-better-5e6ba831c0ed},
  urldate  = {2020-11-17},
  author   = {Rachel Bautista},
  language = {Inglês}
}

@online{mariadbGeeks,
  title    = {Difference Between MySQL and MariaDB},
  url      = {https://www.geeksforgeeks.org/difference-between-mysql-and-mariadb/},
  author   = {VishwashVishwakarma},
  year     = {2020},
  language = {Inglês},
  urldate  = {2020-11-02}
}

@online{gitlabDocStyle,
  title        = {Documentation Style Guide},
  url          = {https://docs.gitlab.com/ee/development/documentation/styleguide.html},
  language     = {Inglês},
  organization = {GitLab},
  urldate      = {2020-11-09}
}

@online{angularTests,
  title    = {Easier Angular Unit Testing},
  author   = {Wes Copeland},
  month    = {06},
  year     = {2019},
  url      = {https://dev.to/wescopeland/easier-angular-unit-testing-4aic},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{eleRef,
  url      = {https://www.freakyjolly.com/elementref-in-angular-8-9-using-getelementbyid-in-typescript/},
  month    = {05},
  year     = {2020},
  title    = {ElementRef in Angular 9|8|7 Using getElementById in Typescript},
  urldate  = {2020-12-29},
  author   = {Jolly.exe},
  language = {Inglês}
}

@online{avatarAngular,
  title    = {Empty Avatar Photo Component},
  url      = {https://github.com/8Tesla8/empty-avatar-photo},
  urldate  = {2020-11-23},
  language = {Inglês}
}

@online{euPago,
  title        = {EuPago},
  url          = {https://www.eupago.pt/},
  language     = {Português},
  organization = {EuPago},
  urldate      = {2021-01-09}
}

@online{gistJwtDecode,
  url      = {https://gist.github.com/ptsurbeleu/4aa7851e2d8eaffec488},
  title    = {Example JWT Decode},
  language = {Inglês},
  author   = {ptsurbeleu},
  urldate  = {2020-10-15}
}

@online{angularFormData,
  title        = {File validation in Angular Reactive Form},
  author       = {Alligator.io},
  urldate      = {2020-12-28},
  organization = {Dev.to},
  author       = {Ajay Ojha},
  month        = {03},
  year         = {2019},
  language     = {Inglês},
  url          = {https://dev.to/ajayojha/file-validation-in-angular-reactive-form-4e4g}
}

@online{sitePointLazyImg,
  title        = {Five Ways to Lazy Load Images for Better Website Performance},
  author       = {Maria Antonietta Perna},
  urldate      = {2020-12-25},
  month        = {04},
  year         = {2020},
  organization = {SitePoint},
  language     = {Inglês},
  url          = {https://www.sitepoint.com/five-techniques-lazy-load-images-website-performance/}
}

@online{angDocker,
  title    = {Get Started with NGINX on Docker},
  url      = {https://codeburst.io/get-started-with-nginx-on-docker-907e5c0c9f3a},
  author   = {Code Burst},
  month    = {05},
  year     = {2020},
  language = {Inglês},
  urldate  = {2020-12-09}
}

@online{gitlabGStart,
  title        = {Getting started with GitLab CI/CD},
  url          = {https://docs.gitlab.com/ee/ci/q},
  language     = {Inglês},
  organization = {GitLab},
  urldate      = {2020-11-05}
}

@online{branchNaming,
  title        = {Git Branch Naming Convention},
  url          = {https://dev.to/couchcamote/git-branching-name-convention-cch},
  language     = {Inglês},
  month        = {03},
  year         = {2020},
  author       = {couchcamote},
  organization = {Dev.to},
  urldate      = {2020-11-04}
}

@online{gitConv,
  title    = {GIT Conventions},
  url      = {https://medium.com/code-adventures/git-conventions-a940ee20862d},
  language = {Inglês},
  month    = {10},
  year     = {2013},
  author   = {TJ Holowaychuk},
  urldate  = {2020-11-04}
}

@online{gitlabTipsTricks,
  title        = {Git tips and tricks},
  url          = {https://about.gitlab.com/blog/2016/12/08/git-tips-and-tricks/},
  language     = {Inglês},
  month        = {12},
  year         = {2016},
  organization = {GitLab},
  author       = {Achilleas Pipinellis},
  urldate      = {2020-11-04}
}

@online{branchStandards,
  title    = {Git/GitHub branching standards \& conventions},
  url      = {https://gist.github.com/digitaljhelms/4287848},
  language = {Inglês},
  month    = {08},
  year     = {2014},
  author   = {digitaljhelms},
  urldate  = {2020-11-04}
}

@article{gitlabDevops,
  title    = {GitLab CI / CD / DevOps / Auto DevOps / ...},
  url      = {https://www.nersc.gov/assets/Uploads/2017-02-06-Gitlab-CI.pdf},
  language = {Inglês},
  author   = {Kamil Trzciński},
  urldate  = {2020-11-09}
}

@article{gitlabciZeger,
  title    = {GitLab CI/CD},
  url      = {http://www.cs.uu.nl/docs/vakken/sp/hoorcollege/ZJ-ci-intro.pdf},
  language = {Inglês},
  author   = {Zeger-Jan},
  urldate  = {2020-11-09}
}

@article{gitlabCrashCourse,
  title        = {Gitlab continuous integration/delivery (CI/CD)},
  subtitle     = {Crash course},
  url          = {http://prace.it4i.cz/sites/prace.it4i.cz/files/files/perftools-hrbac-gitlab_ci.pdf},
  language     = {Inglês},
  author       = {David Hrbáč},
  organization = {IT4Innovations},
  year         = {2017},
  month        = {11},
  urldate      = {2020-11-09}
}

@online{gfonts,
  title    = {Google Fonts},
  url      = {https://fonts.google.com},
  urldate  = {2020-10-19},
  language = {Inglês}
}

@online{huskyPrettier,
  title    = {How to Add Commit Hooks to Git with Husky to Automate Code Tasks},
  author   = {Colby Fayock},
  month    = {10},
  year     = {2020},
  url      = {https://www.freecodecamp.org/news/how-to-add-commit-hooks-to-git-with-husky-to-automate-code-tasks/},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{phoneMock,
  title    = {How to create phone mockup},
  url      = {https://www.instagram.com/p/CG2dawJDNfu/},
  urldate  = {2020-10-20},
  language = {Inglês}
}

@online{jwtDecode,
  title        = {How to decode JWT Token?},
  url          = {https://stackoverflow.com/questions/38340078/how-to-decode-jwt-token},
  language     = {Inglês},
  organization = {StackOverflow},
  urldate      = {2020-10-15}
}

@online{angularFolders,
  title    = {How to define a highly scalable folder structure for your Angular project},
  url      = {https://itnext.io/choosing-a-highly-scalable-folder-structure-in-angular-d987de65ec7},
  month    = {03},
  year     = {2018},
  author   = {Mathis Garberg},
  urldate  = {2020-12-09},
  language = {Inglês}
}

@online{angularFormDataAlligator,
  title        = {How to Post/Upload FormData (multipart/form-data) with Angular 10, TypeScript and HttpClient},
  author       = {Alligator.io},
  urldate      = {2020-12-27},
  organization = {Techidiaries},
  language     = {Inglês},
  url          = {https://www.techiediaries.com/angular-formdata/}
}

@online{formDataHTtpAngular,
  url      = {https://www.positronx.io/how-to-use-angular-8-httpclient-to-post-formdata/},
  month    = {12},
  year     = {2020},
  title    = {How to Use Angular 8/9/10/11 HttpClient API to Post FormData?},
  urldate  = {2020-12-29},
  author   = {Digamber},
  language = {Inglês}
}

@online{angMatSassVar,
  title    = {How to use Angular Material 2 SASS Variables in your component},
  url      = {https://medium.com/@aleixsuau/how-to-use-angular-material-2-sass-variables-in-your-components-76ce0203f126},
  language = {Inglês},
  author   = {Aleix Suau},
  year     = {2017},
  month    = {08},
  urldate  = {2020-12-02}
}

@online{oceanAngularSVGIcons,
  title        = {How to Use Custom SVG Icons in Angular Material},
  author       = {WeiHung Chin},
  urldate      = {2020-12-26},
  month        = {03},
  year         = {2018},
  organization = {Digital Ocean},
  language     = {Inglês},
  url          = {https://www.digitalocean.com/community/tutorials/angular-custom-svg-icons-angular-material}
}

@online{sassMixins,
  title        = {How to Use Sass Mixins},
  author       = {Samuel Oloruntoba},
  urldate      = {2020-12-28},
  organization = {Scotch},
  author       = {Ajay Ojha},
  month        = {01},
  year         = {2017},
  language     = {Inglês},
  url          = {https://scotch.io/tutorials/how-to-use-sass-mixins}
}

@online{oceanAngularContainer,
  title        = {How To Use the ng-container Element in Angular},
  author       = {Alligator.io},
  urldate      = {2020-12-26},
  month        = {10},
  year         = {2020},
  organization = {Digital Ocean},
  language     = {Inglês},
  url          = {https://www.digitalocean.com/community/tutorials/angular-ng-container-element}
}

@online{writeCommit,
  title        = {How to Write a Git Commit Message},
  url          = {https://chris.beams.io/posts/git-commit/},
  language     = {Inglês},
  month        = {08},
  year         = {2014},
  author       = {couchcamote},
  organization = {Dev.to},
  urldate      = {2020-11-04}
}

@online{ifthenpay,
  url          = {https://ifthenpay.com/},
  title        = {IfThenPay | Referências Multibanco e MBWAY para a sua empresa},
  language     = {Português},
  organization = {IfThenPay},
  urldate      = {2021-01-09}
}

@online{fileInput,
  url          = {https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/file#attr-accept},
  title        = {Input type="file"},
  urldate      = {2020-12-29},
  organization = {Mozilla},
  language     = {Inglês}
}

@book{bookWeb,
  title     = {Introdução ao Desenvolvimento Moderno para a Web},
  subtitle  = {Do front-end ao back-end: uma visão global!},
  publisher = {FCA},
  author    = {Filipe Portela \& Ricardo Queirós},
  language  = {Português}
}

@online{oceanUnitAngular,
  title        = {Introduction to Unit Testing in Angular},
  author       = {Alligator.io},
  urldate      = {2020-12-25},
  month        = {06},
  year         = {2017},
  organization = {Digital Ocean},
  language     = {Inglês},
  url          = {https://www.digitalocean.com/community/tutorials/angular-introduction-unit-testing}
}

@online{jwt,
  title    = {JSON Web Token},
  url      = {https://jwt.io},
  urldate  = {2020-11-01},
  language = {Inglês}
}

@online{jwtExp,
  title    = {JSON Web Token (JWT) explained},
  url      = {https://flaviocopes.com/jwt/},
  urldate  = {2020-11-01},
  month    = {12},
  year     = {2018},
  language = {Inglês}
}

@online{jwtAngular,
  url      = {https://codeburst.io/jwt-authentication-in-angular-48cfa882832c},
  author   = {Code Burst},
  title    = {JWT Authentication in Angular},
  month    = {07},
  year     = {2020},
  urldate  = {2020-12-09},
  language = {Inglês}
}

@online{jwtrepoDemo,
  url      = {https://github.com/dotnet-labs/JwtAuthDemo},
  title    = {JwtAuthDemo},
  author   = {DotNet Labs},
  language = {Inglês},
  urldate  = {2020-12-09}
}

@online{learn.net,
  title        = {Learn .NET Core},
  url          = {https://dev.to/itnext/learn-net-core-2765},
  language     = {Inglês},
  author       = {Chris Noring},
  year         = {2019},
  month        = {12},
  organization = {Dev.to},
  urldate      = {2020-11-07}
}

@article{learnmsql,
  title        = {Learning MySQL and MariaDB},
  organization = {Interaction Design Foundation},
  urldate      = {2020-11-02},
  url          = {http://index-of.co.uk/Database/SQL%20Database/Learning%20MySQL%20and%20MariaDB%20Heading%20in%20the%20Right%20Direction%20with%20MySQL%20and%20MariaDB%20by%20Russell%20J.%20T.%20Dyer%20-%202015.pdf},
  language     = {Inglês},
  year         = {2002}
}

@online{xdTutorials,
  title    = {Let's XD},
  url      = {https://letsxd.com/},
  author   = {Howard Pinsky},
  urldate  = {2020-10-16},
  language = {Inglês}
}

@online{mariadbVsMysql19,
  title    = {MariaDB Vs MySQL In 2019: Compatibility, Performance, And Syntax},
  url      = {https://hackr.io/blog/mariadb-vs-mysql},
  author   = {Matan Sarig},
  year     = {2019},
  month    = {05},
  language = {Inglês},
  urldate  = {2020-11-02}
}

@online{mariadbVsMysql,
  title    = {MariaDB vs MySQL: [2020] Everything You Need to Know},
  url      = {https://hackr.io/blog/mariadb-vs-mysql},
  author   = {Aman Goel},
  year     = {2020},
  language = {Inglês},
  urldate  = {2020-11-02}
}

@online{materialIcons,
  title    = {Material Design | Icons},
  url      = {https://material.io/resources/icons/},
  urldate  = {2020-10-17},
  language = {Inglês}
}

@online{materialUI,
  title    = {Material Design | Resources},
  url      = {https://material.io/resources},
  urldate  = {2020-10-17},
  language = {Inglês}
}

@online{angEsLintMigrate,
  url          = {https://dev.to/_landmesser/migrate-angular-8-from-tslint-to-eslint-15o6},
  month        = {10},
  year         = {2019},
  title        = {Migrate Angular 8 from TSLint to ESLint},
  urldate      = {2021-01-30},
  author       = {Babette Landmesser},
  language     = {Inglês},
  organization = {Dev.to}
}

@online{angEsLint,
  url          = {https://dev.to/gsarciotto/migrating-and-configuring-eslint-with-angular-11-3fg1},
  month        = {11},
  year         = {2020},
  title        = {Migrating and configuring Eslint with Angular 11},
  urldate      = {2021-01-30},
  author       = {Giovanni Sarciotto},
  language     = {Inglês},
  organization = {Dev.to}
}

@article{mockupsPrototypes,
  author   = {Dr. Kristina Lapin},
  title    = {Mockups and Prototypes},
  url      = {http://web.vu.lt/mif/k.lapin/files/2016/03/6_prototyping.pdf},
  language = {Inglês},
  urldate  = {2020-10-17},
  year     = {2017},
  month    = {05}
}

@online{.netSetup,
  title        = {My .NET Core Setup for MacOS/Linux},
  url          = {https://dev.to/chrisvasqm/my-net-core-setup-for-macoslinux-4cbk},
  language     = {Inglês},
  author       = {Christian Vasquez},
  year         = {2018},
  month        = {10},
  organization = {Dev.to},
  urldate      = {2020-11-07}
}

@online{Ngrok,
  url      = {https://ngrok.com/},
  title    = {Ngrok},
  urldate  = {2020-12-08},
  language = {Inglês}
}

@online{npmvsyarn,
  url      = {https://www.whitesourcesoftware.com/free-developer-tools/blog/npm-vs-yarn-which-should-you-choose/},
  month    = {08},
  year     = {2020},
  title    = {NPM vs. Yarn: Which Package Manager Should You Choose?},
  urldate  = {2020-11-17},
  author   = {Guy Bar-Gil},
  language = {Inglês}
}

@online{devopsAzure,
  title        = {O que é \textit{DevOps}},
  url          = {https://azure.microsoft.com/pt-pt/overview/what-is-devops/},
  organization = {Microsoft},
  language     = {Português},
  urldate      = {2020-11-09}
}

@online{paypalApi,
  url          = {https://developer.paypal.com/docs/api/overview/},
  title        = {PayPal | API},
  language     = {Inglês},
  organization = {PayPal},
  urldate      = {2021-01-09}
}

@online{prettierPreComm,
  title        = {Pre-commit Hook},
  organization = {Prettier},
  url          = {https://prettier.io/docs/en/precommit.html},
  urldate      = {2020-12-11},
  language     = {Inglês}
}

@online{prodTools,
  title        = {Productive Tools For Web Development},
  url          = {https://dev.to/akshay35c/productive-tools-for-web-development-4bd5},
  language     = {Inglês},
  author       = {Akshay Chougule},
  year         = {2020},
  month        = {2},
  organization = {Dev.to},
  urldate      = {2020-11-06}
}

@online{reactNativePros,
  title        = {Pros and Cons of React Native Development in 2020},
  url          = {https://www.monterail.com/blog/react-native-development-pros-cons},
  author       = {Karolina Gawron},
  year         = {2020},
  month        = {08},
  organization = {Monterail},
  language     = {Inglês},
  urldate      = {2020-11-02}
}

@online{reactNProsCons,
  url      = {https://www.monterail.com/blog/react-native-development-pros-cons},
  title    = {Pros And Cons of React Native Development in 2020},
  subtitle = {| for Developers and Business Owners},
  author   = {Karolina Gawron},
  month    = {08},
  year     = {2020},
  language = {Inglês},
  urldate  = {2020-11-16}
}

@online{reactnpc,
  url      = {https://www.mindk.com/blog/react-native-pros-and-cons/},
  urldate  = {2020-11-16},
  title    = {Pros and cons of React Native for cross-platform app development},
  author   = {Maksym Churylov},
  language = {Inglês}
}

@online{javatReact,
  url          = {https://www.javatpoint.com/pros-and-cons-of-react},
  title        = {Pros and Cons of ReactJS},
  organization = {JavaTPoint},
  urldate      = {2020-11-17},
  language     = {Inglês}
}

@online{qrApi,
  title        = {QR Code API},
  url          = {http://goqr.me/api/},
  organization = {DENSO WAVE INCORPORATED},
  urldate      = {2020-10-23}
}

@online{r2020ppro,
  url      = {https://pagepro.co/blog/react-js-pros-and-cons-in-2020/},
  month    = {08},
  year     = {2020},
  title    = {React JS Pros and Cons in 2020},
  urldate  = {2020-11-17},
  author   = {Tomasz Grabskia},
  language = {Inglês}
}

@online{rnativeFWebDev,
  title        = {React Native for web developers},
  url          = {https://dev.to/evanbacon/react-native-for-web-developers-1pi0},
  language     = {Inglês},
  author       = {Evan Bacon},
  year         = {2020},
  month        = {02},
  organization = {Dev.to},
  urldate      = {2020-11-07}
}

@online{reactn2020pc,
  url          = {https://www.netguru.com/blog/react-native-pros-and-cons},
  month        = {05},
  year         = {2019},
  title        = {React Native Pros and Cons - Facebook’s Framework in 2020 (Updated)},
  urldate      = {2020-11-16},
  author       = {Natalia Chrzanowska},
  organization = {NetGuru},
  language     = {Inglês}
}

@online{rnativeResources,
  title        = {React Native Resources},
  url          = {https://dev.to/guergana/react-native-resources-46jm},
  language     = {Inglês},
  author       = {Luke Lowrey},
  year         = {2018},
  month        = {07},
  organization = {Dev.to},
  urldate      = {2020-11-07}
}

@online{oceanCustomValidator,
  title        = {Reactive Forms in Angular: Creating a Custom Validator},
  author       = {Alligator.io},
  urldate      = {2020-12-27},
  month        = {03},
  year         = {2017},
  organization = {Digital Ocean},
  language     = {Inglês},
  url          = {https://www.digitalocean.com/community/tutorials/angular-reactive-forms-custom-validator}
}

@online{angularVSCode,
  title    = {Recommended VS Code Extensions for Angular Developers},
  author   = {John Papa},
  month    = {03},
  year     = {2019},
  url      = {https://dev.to/azure/recommended-vs-code-extensions-for-angular-developers-c59},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{csstricks-sassstyle,
  url      = {https://css-tricks.com/sass-style-guide/},
  month    = {01},
  year     = {2020},
  title    = {Sass Style Guide},
  urldate  = {2020-11-17},
  author   = {Tomasz Grabskia},
  language = {Inglês}
}

@article{scaledCIPDF,
  title        = {Scaled Continuous Integration \& Delivery},
  subtitle     = {Deliver what custom want, fasster, with an integrated CI/CD tool},
  url          = {https://page.gitlab.com/rs/194-VVC-221/images/gitlab-scaled-ci-cd-whitepaper.pdf},
  language     = {Inglês},
  organization = {GitLab},
  urldate      = {2020-11-08}
}

@online{email.net,
  title        = {Sending email in .NET Core with FluentEmail},
  url          = {https://dev.to/lukencode/sending-email-in-net-core-with-fluentemail-4k4m},
  language     = {Inglês},
  author       = {Guergana Tzatchkova},
  year         = {2018},
  month        = {09},
  organization = {Dev.to},
  urldate      = {2020-11-07}
}

@online{angularSerie,
  title    = {SERIE: INTEGRAÇÃO ASP.NET CORE E ANGULAR 7},
  url      = {https://erikthiago.medium.com/serie-integra%C3%A7%C3%A3o-asp-net-core-e-angular-7-c804d0a3b0ce},
  subtitle = {Uma serie de três artigos explicando como integrar ASP.NET CORE com Angular 7},
  month    = {11},
  year     = {2019},
  urldate  = {2020-12-09},
  language = {Português}
}

@online{angShareData,
  url          = {https://fireship.io/lessons/sharing-data-between-angular-components-four-methods/},
  title        = {Sharing Data between Angular Components - Four Methods},
  month        = {04},
  year         = {2017},
  author       = {Jeff Delaney},
  organization = {FireShip},
  language     = {Inglês},
  urldate      = {2020-12-30}
}

@online{feedback,
  title    = {Significado de Feedback},
  url      = {https://www.lexico.pt/feedback/},
  urldate  = {2020-10-31},
  language = {Português}
}

@online{layout,
  title    = {Significado de Layout},
  url      = {https://www.lexico.pt/layout/},
  urldate  = {2020-11-01},
  language = {Português}
}

@online{sqlCheatSheet,
  title        = {SQL Cheat Sheet: Top 10 Most Important SQL Commands To Know},
  url          = {https://dev.to/jackmcclelland/sql-cheat-sheet-top-10-most-important-sql-commands-to-know-78h},
  language     = {Inglês},
  author       = {Jack McClelland},
  year         = {2020},
  month        = {11},
  organization = {Dev.to},
  urldate      = {2020-11-06}
}

@online{stripe,
  url          = {https://stripe.com/en-pt},
  title        = {Stripe},
  language     = {Português},
  organization = {Stripe},
  urldate      = {2021-01-09}
}

@book{stylingCss,
  title     = {Styling Web Pages with CSS},
  subtitle  = {Full-color project from the folks who bring you Visual QuickStart Guides...},
  author    = {Tom Negrino e Dori Smith},
  publisher = {Peachpit Press},
  year      = {2009},
  isbn      = {978-0-321-55557-1}
}

@online{swaggerIo,
  title        = {Swagger.io},
  url          = {https://swagger.io/},
  urldate      = {2020-10-07},
  language     = {Inglês},
  organization = {OpenAPI}
}

@article{basicsofUX,
  title        = {The Basics of User Experience Design},
  url          = {https://tofasakademi.com/wp-content/uploads/2018/06/the-basics-of-ux-design.pdf},
  organization = {Interaction Design Foundation},
  urldate      = {2020-10-30},
  language     = {Inglês},
  year         = {2002}
}

@article{gitlabEbook,
  title        = {The benefits of single application CI/CD},
  subtitle     = {Building better, faster software without the toolchain},
  organization = {GitLab},
  urldate      = {2020-11-04},
  url          = {https://about.gitlab.com/resources/ebook-single-app-cicd/},
  language     = {Inglês}
}

@article{toolkitDesig,
  organization = {DesignCuts},
  title        = {The Complete Professional Designer's Toolkit | PDF Guide},
  language     = {Inglês},
  year         = {2015},
  urldate      = {2020-10-27},
  url          = {https://lifepoint.org/media/Groups/2015/PDf-guide-complete-professional-designers-toolkit.pdf}
}

@online{2020Trends,
  title        = {Top 11 Web Design and UI Trends for 2020},
  url          = {https://designmodo.com/web-design-trends-2020/},
  language     = {Inglês},
  organization = {DesignModo},
  year         = {2020},
  month        = {01},
  author       = {Carrie Cousins},
  urldate      = {2020-11-09}
}

@online{appleui,
  title        = {UI Design Dos and Don’ts},
  url          = {https://developer.apple.com/design/tips/},
  urldate      = {2020-11-01},
  organization = {Apple},
  language     = {Inglês}
}

@article{devopsPratices,
  title    = {Uma proposta para centralizar práticas DevOps com uso do gitlab},
  url      = {https://www.nersc.gov/assets/Uploads/2017-02-06-Gitlab-CI.pdf},
  language = {Português do Brasil},
  author   = {Jonnatas Matias Ribeiro Cabral},
  year     = {2017},
  month    = {04},
  urldate  = {2020-11-09}
}

@online{rnativeArch,
  title        = {Understanding React Native Architecture},
  url          = {https://dev.to/goodpic/understanding-react-native-architecture-22hh},
  language     = {Inglês},
  author       = {Jun Kaneko},
  year         = {2020},
  month        = {08},
  organization = {Dev.to},
  urldate      = {2020-11-07}
}

@online{unsubscribesAng,
  url          = {https://dev.to/uzochukwueddie/unsubscribe-from-rxjs-subscriptions-using-subsink-3ick},
  title        = {Unsubscribe from RxJS subscriptions using SubSink},
  author       = {Uzochukwu Eddie Odozi},
  month        = {06},
  year         = {2019},
  organization = {Dev.to},
  language     = {Inglês},
  urldate      = {2021-01-11}
}

@online{dotnetFileUpload,
  url          = {https://docs.microsoft.com/en-us/aspnet/core/mvc/models/file-uploads?view=aspnetcore-5.0},
  month        = {08},
  year         = {2020},
  title        = {Upload files in ASP.NET Core},
  urldate      = {2020-12-20},
  language     = {Inglês},
  organization = {Microsoft}
}

@online{csstricks-sassselectors,
  url      = {https://css-tricks.com/snippets/sass/use-sass-variable-selector/},
  month    = {01},
  year     = {2017},
  title    = {Use a Sass Variable for a Selector},
  urldate  = {2020-11-17},
  author   = {Chris Coyier},
  language = {Inglês}
}

@online{sitePointAngAugury,
  title        = {Using Angular Augury to Debug Your Code},
  author       = {Ilya Bodrov-Krukowski},
  urldate      = {2020-12-25},
  month        = {05},
  year         = {2018},
  organization = {SitePoint},
  language     = {Inglês},
  url          = {https://www.sitepoint.com/angular-augury-debug-code/}
}

@online{pipelineLatexProblems,
  title    = {Using builds to generate pdf from LaTex source},
  url      = {https://gitlab.com/gitlab-org/gitlab-foss/-/issues/4250},
  language = {Inglês},
  year     = {2016},
  author   = {Jörn Hees},
  urldate  = {2020-11-04}
}

@online{pipelineLatex,
  title    = {Using GitLab CI for Building LaTex},
  url      = {https://github.com/aufenthaltsraum/stuff/wiki/Using-GitLab-CI-for-Building-LaTeX},
  language = {Inglês},
  year     = {2016},
  month    = {10},
  author   = {Aras Ergus},
  urldate  = {2020-11-04}
}

@online{huskyPrettierMedium,
  title    = {Using Prettier and husky to make your commits safe.},
  author   = {Bart Wijnants},
  month    = {06},
  year     = {2017},
  url      = {https://medium.com/@bartwijnants/using-prettier-and-husky-to-make-your-commits-save-2960f55cd351},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{prettierPreCommHook,
  title    = {Using Prettier with a Pre-commit Hook},
  month    = {12},
  year     = {2018},
  url      = {https://www.brianhan.co/2018-11-22-prettier-pre-commit/},
  urldate  = {2020-12-11},
  language = {Inglês}
}

@online{uxLaws,
  title    = {UX Laws for design},
  url      = {https://www.instagram.com/p/CGkhfBWgR_N/},
  urldate  = {2020-10-23},
  language = {Inglês}
}

@article{gitPDF,
  title    = {Version Control with Git},
  urldate  = {2020-11-04},
  author   = {Jon Loeliger},
  url      = {https://www.foo.be/cours/dess-20122013/b/OReilly%20Version%20Control%20with%20GIT.pdf},
  language = {Inglês},
  year     = {2009},
  month    = {5}
}

@article{webuiBP,
  author   = {Dominik Pacholczyk},
  title    = {Web UI Design Best Pratices},
  subtitle = {UI Design from the experts},
  urldate  = {2020-10-30},
  language = {Inglês},
  url      = {https://www.immagic.com/eLibrary/ARCHIVES/GENERAL/UXPIN_PL/U141030B.pdf}
}

@online{ytWebinarAngu,
  title        = {Webinar: Angular patterns \& best practices with John Papa},
  url          = {https://www.youtube.com/watch?v=-g2Dat7z2WQ},
  month        = {07},
  year         = {2019},
  organization = {Plusalsight},
  urldate      = {2021-01-11},
  language     = {Inglês}
}

@online{xdGuide,
  title        = {Welcome to the XD User Guider},
  url          = {https://helpx.adobe.com/uk/xd/user-guide.html},
  urldate      = {2020-10-17},
  organization = {Adobe},
  language     = {Inglês}
}

@online{backendServices,
  title        = {What are Backend Services?},
  url          = {https://www.wavemaker.com/learn/app-development/services/creating-backend-services},
  language     = {Inglês},
  organization = {Wavemaker},
  urldate      = {2020-11-10}
}

@online{godbadColors,
  title        = {Why ``good/bad'' design guides aren’t always good for: Color Theory},
  subtitle     = {Design is not a one-size-fits-all solution.},
  url          = {https://uxdesign.cc/why-good-bad-design-guides-arent-always-good-for-color-theory-f15927240e0e},
  language     = {Inglês},
  organization = {UX Collective},
  author       = {Ryan Houk},
  urldate      = {2020-10-31}
}

@online{sitepointyarn,
  url          = {https://www.sitepoint.com/yarn-vs-npm/},
  month        = {10},
  year         = {2016},
  title        = {Yarn vs npm: Everything You Need to Know},
  urldate      = {2020-11-17},
  author       = {Tim Severien},
  language     = {Inglês},
  organization = {SitePoint}
}

@online{angularchart,
  url          = {https://www.dunebook.com/angular-chart-library/},
  month        = {2},
  year         = {2018},
  title        = {DuneBook: 10 best Angular chart libraries},
  urldate      = {2021-01-02},
  author       = {Deven Rathore},
  language     = {Inglês},
  organization = {DuneBook}
}

@online{javascriptchart,
  url      = {https://www.chartjs.org/},
  title    = {Chart.js},
  urldate  = {2021-01-02},
  language = {Inglês}
}

@online{ng2charts,
  url      = {https://valor-software.com/ng2-charts/},
  title    = {ng2-charts: Angular2 directives for Chart.js},
  urldate  = {2021-01-02},
  language = {Inglês}
}

@online{encodednaangularchart,
  url          = {https://www.encodedna.com/angular/how-to-create-bar-chart-in-angular-4-using-chartjs-and-ng2-charts.htm},
  title        = {How to Create a Bar Chart in Angular 4 using Chart.js and ng2-charts},
  urldate      = {2021-01-02},
  author       = {Arun Banik},
  language     = {Inglês},
  organization = {Encodedna}
}

@online{firechiplazyloading,
  url          = {https://fireship.io/snippets/lazy-loaded-routes-angular-v8-ivy/},
  month        = {3},
  year         = {2019},
  title        = {Lazy Loaded Routes Angular V8 with Ivy},
  urldate      = {2020-12-15},
  author       = {Jeff Delaney},
  language     = {Inglês},
  organization = {Fireship}
}

@online{stripeelements,
  url          = {https://fireship.io/lessons/stripe-elements-angular/},
  month        = {4},
  year         = {2019},
  title        = {Stripe Elements and Checkout with Angular},
  urldate      = {2020-12-05},
  author       = {Jeff Delaney},
  language     = {Inglês},
  organization = {Fireship}
}

@online{accessparentroutes,
  url          = {https://ultimatecourses.com/blog/angular-parent-routing-params},
  month        = {8},
  year         = {2017},
  title        = {Access parent Route params with Angulars Router},
  urldate      = {2020-12-07},
  author       = {Todd Motto},
  language     = {Inglês},
  organization = {Ultimate Courses}
}

@online{handlingObservables,
  url          = {https://ultimatecourses.com/blog/angular-ngfor-async-pipe},
  month        = {6},
  year         = {2020},
  title        = {Handling Observables with NgFor and the Async Pipe},
  urldate      = {2020-12-15},
  author       = {Todd Motto},
  language     = {Inglês},
  organization = {Ultimate Courses}
}

@online{accessingindex,
  url          = {https://ultimatecourses.com/blog/angular-ngfor-index},
  month        = {5},
  year         = {2020},
  title        = {Accessing the index inside NgFor},
  urldate      = {2020-12-20},
  author       = {Todd Motto},
  language     = {Inglês},
  organization = {Ultimate Courses}
}

@online{gettingelement,
  url          = {https://ultimatecourses.com/blog/element-refs-in-angular-templates},
  month        = {5},
  year         = {2020},
  title        = {Getting Element references in Angular templates},
  urldate      = {2020-12-23},
  author       = {Todd Motto},
  language     = {Inglês},
  organization = {Ultimate Courses}
}

@online{lazyloadingangular,
  url          = {https://ultimatecourses.com/blog/lazy-load-angular-modules},
  month        = {5},
  year         = {2020},
  title        = {Lazy-Loading Angular Modules (Ivy and Async Await)},
  urldate      = {2020-12-27},
  author       = {Todd Motto},
  language     = {Inglês},
  organization = {Ultimate Courses}
}

@online{ngifthenelse,
  url          = {https://ultimatecourses.com/blog/angular-ngif-else-then},
  month        = {2},
  year         = {2020},
  title        = {Angulars NgIf, Else, Then - Explained)},
  urldate      = {2020-12-27},
  author       = {Todd Motto},
  language     = {Inglês},
  organization = {Ultimate Courses}
}

@online{angularlifecycle,
  url          = {https://ultimatecourses.com/blog/exploring-angular-lifecycle-hooks-onchanges},
  month        = {10},
  year         = {2019},
  title        = {Exploring Angular Lifecycle Hooks - OnChanges},
  urldate      = {2020-12-27},
  author       = {Wes Grimes},
  language     = {Inglês},
  organization = {Ultimate Courses}
}

@online{angularconstructor,
  url          = {https://ultimatecourses.com/blog/angular-constructor-ngoninit-lifecycle-hook},
  month        = {9},
  year         = {2019},
  title        = {Angular constructor versus ngOnInit },
  urldate      = {2020-12-27},
  author       = {Todd Motto},
  language     = {Inglês},
  organization = {Ultimate Courses}
}

@online{ngstyle,
  url          = {https://ultimatecourses.com/blog/using-ngstyle-in-angular-for-dynamic-styling},
  month        = {7},
  year         = {2019},
  title        = {Using ngStyle in Angular for dynamic styling},
  urldate      = {2020-12-27},
  author       = {Ashnita Bali},
  language     = {Inglês},
  organization = {Ultimate Courses}
}

@online{lazyloading,
  url          = {https://stackoverflow.com/questions/57305591/angular-lazy-load-with-parent-route-parameter},
  title        = {Angular lazy load with parent route parameter},
  urldate      = {2020-12-30},
  language     = {Inglês},
  organization = {StackOverflow}
}

@online{carouselangular,
  url          = {http://ivylab.space/carousel},
  title        = {ivyCarousel},
  urldate      = {2020-12-30},
  language     = {Inglês},
  organization = {ivyCarousel}
}

@online{lineChart,
  url      = {https://www.npmjs.com/package/expo-chart-kit},
  title    = {expo-chart-kit},
  urldate  = {2021-01-09},
  language = {Inglês}
}

@online{ngstyle,
  url      = {https://docs.expo.io/versions/latest/sdk/picker/},
  title    = {Picker},
  urldate  = {2021-01-09},
  language = {Inglês}
}

@online{ngstyle,
  url      = {https://blog.expo.io/media-queries-with-react-native-for-ios-android-and-web-e0b73ed5777b},
  month    = {11},
  year     = {2019},
  title    = {Media Queries with React Native for iOS, Android, and Web},
  urldate  = {2020-01-12},
  author   = {Evan Bacon},
  language = {Inglês}
}